stages:
  - test
  - build

test_api:
  stage: test
  image: funkwhale/funkwhale:base
  before_script:
    - cd api
    - pip install -r requirements/test.txt
  script:
    - export DJANGO_SETTINGS_MODULE=config.settings.test
    - python manage.py test

  tags:
    - docker

build_front:
  stage: build
  image: node:6-alpine
  before_script:
    - cd front

  script:
    - npm install
    - npm run build
  cache:
    key: "$CI_COMMIT_REF_NAME"
    paths:
      - front/node_modules
  artifacts:
    name: "front_${CI_COMMIT_REF_NAME}"
    paths:
      - front/dist/
  only:
    - master
    - develop
  tags:
    - docker


pages:
  stage: test
  image: alpine
  before_script:
    - cd docs
  script:
    - apk --no-cache add py2-pip python-dev
    - pip install sphinx
    - apk --no-cache add make
    - make html
    - mv _build/html/ ../public
  artifacts:
    paths:
      - public
  only:
    - develop
  tags:
    - docker
